aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/paludis/util/fs_entry_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
commite3b86134db7baada7b3a1e779e7d6d046ab53a1a (patch)
tree6acb3c0de68e1b95dbba8f0e00f770b8f31e4bac /0.8.0/paludis/util/fs_entry_TEST_setup.sh
parentab9cdb1150d97449e857cd55fe706377c9ab2422 (diff)
downloadpaludis-0.8.0.tar.gz
paludis-0.8.0.tar.xz
Tag release 0.8.00.8.0
Diffstat (limited to '0.8.0/paludis/util/fs_entry_TEST_setup.sh')
-rwxr-xr-x0.8.0/paludis/util/fs_entry_TEST_setup.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/0.8.0/paludis/util/fs_entry_TEST_setup.sh b/0.8.0/paludis/util/fs_entry_TEST_setup.sh
new file mode 100755
index 000000000..7d7796bf7
--- /dev/null
+++ b/0.8.0/paludis/util/fs_entry_TEST_setup.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir fs_entry_TEST_dir || exit 2
+cd fs_entry_TEST_dir || exit 3
+mkdir dir_a || exit 4
+ln -s dir_a symlink_to_dir_a || exit 5
+touch dir_a/file_in_a || exit 6
+
+touch all_perms || exit 7
+chmod 777 all_perms || exit 8
+touch no_perms || exit 9
+sleep 1
+echo > no_perms
+chmod 000 no_perms || exit 10
+echo -n '0123456789' > ten_bytes || exit 11
+ln -s dir_a/file_in_a symlink_to_file_in_a || exit 12